package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.store.StoreManagePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.store.StoreManageSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.StoreManageDO;

import java.util.List;

public interface StoreManageService {

    Long create(StoreManageSaveReqVO createReqVO);

    void update(StoreManageSaveReqVO updateReqVO);

    void delete(Long id);

    StoreManageDO get(Long id);
    List<StoreManageDO> list(Long[] tenantIds);

    PageResult<StoreManageDO> getPage(StoreManagePageReqVO pageReqVO);

}
